import React from "react";
import PropTypes from "prop-types";
export interface ButtonProps {
    children: React.ReactNode;
    className?: string;
    color?: "amber" | "blue" | "cyan" | "emerald" | "fuchsia" | "gray" | "green" | "indigo" | "lightBlue" | "lime" | "orange" | "pink" | "purple" | "red" | "rose" | "teal" | "violet" | "yellow";
    onClick: () => void;
    type: "primary" | "secondary" | "tertiary";
}
export declare const Button: {
    ({ children, className, color, onClick, type, }: ButtonProps): JSX.Element;
    propTypes: {
        children: PropTypes.Validator<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        onClick: PropTypes.Validator<(...args: any[]) => any>;
        type: PropTypes.Validator<string>;
    };
    defaultProps: {
        onClick: () => any;
        type: string;
    };
};
