import React from "react";
// @ts-ignore
import styling from "@devcake/styling";

styling.setDefault("components.select.icons.check", "M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z");

export type ItemRenderer<T> = (
  item: T,
  selected: boolean
) => React.ReactNode;

export const DefaultRenderer: ItemRenderer<string> = (item, selected) => (
  <>
    <div className="font-normal block truncate">{item}</div>

    <div className="text-indigo-600 absolute inset-y-0 right-0 flex items-center pr-4">
      <svg className="h-5 w-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor">
        {selected && (
          <path
            fillRule="evenodd"
            d={styling.get("components.select.icons.check")}
            clipRule="evenodd"
          />
        )}
      </svg>
    </div>
  </>
);